package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag941;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT941Creator;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag21Creator extends AbsTagCreate {

    private MT941Creator mt941Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt941Creator= (MT941Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value=mt941Creator.getRelatedReferen();
        mt941Creator.set("21",tag21Value);
    }
}
